Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"gene_type": "<string>",
"name": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"strand": "<string>",
"hgnc": "<string>",
"entrez": "<string>",
"collections": [
"<string>"
],
"study_sets": [
"<string>"
],
"synonyms": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genes
Retrieve genes.
Example: organism = Homo sapiens,
name = SAMD1,
region = chr1:212565300-212620800,
synonym = CKLF,
collection = ACMG73,
study_set = MorPhiC,
gene_id = ENSG00000187642 (Ensembl ids),
gene_type = protein_coding,
hgnc_id = HGNC:28208,
entrez = ENTREZ:84808.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"gene_type": "<string>",
"name": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"strand": "<string>",
"hgnc": "<string>",
"entrez": "<string>",
"collections": [
"<string>"
],
"study_sets": [
"<string>"
],
"synonyms": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
ACMG73, GREGoR, Morphic, StanfordFCC Available options:
16p11.2 Deletion - Shendure, Blood Master Regulators, Cardiac - Engreitz, Cardiac - Munshi, Cardiac - Quertermous, Cardiometabolic TFs, Cardiomyopathies-Steinmetz, CdLS-like phenotype, Coronary Artery Disease - Lettre, DiGeorge Syndrome - Park, DiGeorge Syndrome - Shendure, GREGoR Candidate - BCM, GREGoR Candidate - Broad, GREGoR Candidate - GSS, GREGoR Candidate - UW, IGVFFI6537JARB, IGVFFI7781XWZY, LDL-C uptake, MorPhiC, Pancreatic differentiation, Pulmonary arterial hypertension - Rabinovitch, SGE-Starita, Strong Selection - Sunyaev, VAMP-seq, Williams Syndrome - Park, Williams Syndrome - Shendure Available options:
IG_C_gene, IG_C_pseudogene, IG_D_gene, IG_J_gene, IG_J_pseudogene, IG_V_gene, IG_V_pseudogene, IG_pseudogene, Mt_rRNA, Mt_tRNA, TEC, TR_C_gene, TR_D_gene, TR_J_gene, TR_J_pseudogene, TR_V_gene, TR_V_pseudogene, artifact, lncRNA, miRNA, misc_RNA, processed_pseudogene, protein_coding, pseudogene, rRNA, rRNA_pseudogene, ribozyme, sRNA, scRNA, scaRNA, snRNA, snoRNA, transcribed_processed_pseudogene, transcribed_unitary_pseudogene, transcribed_unprocessed_pseudogene, translated_processed_pseudogene, translated_unprocessed_pseudogene, unitary_pseudogene, unprocessed_pseudogene, vault_RNA Available options:
Mus musculus, Homo sapiens Response
Successful response